## YelpView

YelpView

## Functions

gboolean | (*YelpViewActionValidFunc) ()
GtkWidget * | yelp_view_new ()
void | yelp_view_load ()
void | yelp_view_load_uri ()
void | yelp_view_load_document ()
YelpDocument * | yelp_view_get_document ()
void | yelp_view_register_actions ()
void | yelp_view_add_link_action ()
YelpUri * | yelp_view_get_active_link_uri ()
gchar * | yelp_view_get_active_link_text ()

## Properties

gchar * | page-desc | Read
gchar * | page-icon | Read
gchar * | page-id | Read
gchar * | page-title | Read
gchar * | root-title | Read
YelpViewState | state | Read / Write
YelpUri * | yelp-uri | Read / Write

## Signals

gboolean | external-uri | Run Last
void | loaded | Run Last
void | new-view-requested | Run Last

## Types and Values

enum | YelpViewState

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── WebKitWebViewBase
                        ╰── WebKitWebView
                            ╰── YelpView

## Description

## Functions

### YelpViewActionValidFunc ()

    gboolean
    (*YelpViewActionValidFunc) (YelpView *view,
                                GtkAction *action,
                                gchar *uri,
                                gpointer data);

### yelp_view_new ()

    GtkWidget *
    yelp_view_new (void);

### yelp_view_load ()

    void
    yelp_view_load (YelpView *view,
                    const gchar *uri);

### yelp_view_load_uri ()

    void
    yelp_view_load_uri (YelpView *view,
                        YelpUri *uri);

### yelp_view_load_document ()

    void
    yelp_view_load_document (YelpView *view,
                             YelpUri *uri,
                             YelpDocument *document);

### yelp_view_get_document ()

    YelpDocument *
    yelp_view_get_document (YelpView *view);

### yelp_view_register_actions ()

    void
    yelp_view_register_actions (YelpView *view,
                                GActionMap *map);

### yelp_view_add_link_action ()

    void
    yelp_view_add_link_action (YelpView *view,
                               GtkAction *action,
                               YelpViewActionValidFunc func,
                               gpointer data);

### yelp_view_get_active_link_uri ()

    YelpUri *
    yelp_view_get_active_link_uri (YelpView *view);

### yelp_view_get_active_link_text ()

    gchar *
    yelp_view_get_active_link_text (YelpView *view);

## Types and Values

### enum YelpViewState

#### Members

YELP_VIEW_STATE_BLANK |  |
YELP_VIEW_STATE_LOADING |  |
YELP_VIEW_STATE_LOADED |  |
YELP_VIEW_STATE_ERROR |  |

## Property Details

### The `“page-desc”` property

      “page-desc”                gchar *

The description of the page being viewed.

Flags: Read

Default value: NULL

### The `“page-icon”` property

      “page-icon”                gchar *

The icon of the page being viewed.

Flags: Read

Default value: NULL

### The `“page-id”` property

      “page-id”                  gchar *

The ID of the root page of the page being viewed.

Flags: Read

Default value: NULL

### The `“page-title”` property

      “page-title”               gchar *

The title of the page being viewed.

Flags: Read

Default value: NULL

### The `“root-title”` property

      “root-title”               gchar *

The title of the root page of the page being viewed.

Flags: Read

Default value: NULL

### The `“state”` property

      “state”                    YelpViewState

The loading state of the view.

Flags: Read / Write

Default value: YELP_VIEW_STATE_BLANK

### The `“yelp-uri”` property

      “yelp-uri”                 YelpUri *

A YelpUri with the current location.

Flags: Read / Write

## Signal Details

### The `“external-uri”` signal

    gboolean
    user_function (YelpView *yelpview,
                   YelpUri  *arg1,
                   gpointer  user_data)

Flags: Run Last

### The `“loaded”` signal

    void
    user_function (YelpView *yelpview,
                   gpointer  user_data)

Flags: Run Last

### The `“new-view-requested”` signal

    void
    user_function (YelpView *yelpview,
                   YelpUri  *arg1,
                   gpointer  user_data)

Flags: Run Last